<?php
namespace IpSupply\SyncOrder\Block\Adminhtml;

use Magento\Backend\Block\Template;

class Config extends Template
{
    protected $urlInterface;

    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Backend\Model\UrlInterface $urlInterface,
        $data = []
    )
    {
        $this->urlInterface = $urlInterface;
        parent::__construct($context, $data);
    }

    public function getSecretKey()
    {
        return $this->urlInterface->getSecretKey();
    }

    public function getApiKey()
    {
        return \IpSupply\SyncOrder\Helper::API_KEY;
    }
}
